%******
% Main
%******

% Programa para la obtencin de indicadores de suavidad para imgenes
% digitales.

%ENTRADA:
% origImg - Imagen de referencia.
% origImg - Imagen interpolada.

%SALIDA:
% Se muestran por salida estndar los siguientes indicadores:
% ECM - Error Cuadrtico Medio
% PSNR -  Seal a ruido de pico
% NK - Coeficiente de Correlacin Cruzada Normalizada
% AM - Diferencia Media
% DM - Diferencia Mxima
% EAN - Error Absoluto Normalizado

function Main(origImg, distImg);
%Error Cuadrtico Medio.
ECM = MeanSquareError(origImg, distImg);
disp('Error cuadratico medio = ');
disp(ECM);

%Peak Signal to Noise Ratio.
PSNR = PeakSignaltoNoiseRatio(origImg, distImg);
disp('Peak Signal to Noise Ratio = ');
disp(PSNR);

%Coeficiente de Correlacin Normalizada. 
NK = NormalizedCrossCorrelation(origImg, distImg);
disp('Coeficiente de Correlacion Cruzada Normalizado  = ');
disp(NK);

%Diferencia Media.
AD = AverageDifference(origImg, distImg);
disp('Diferencia Media  = ');
disp(AD);

%Structural Content 
% SC = StructuralContent(origImg, distImg);
% disp('Structural Content  = ');
% disp(SC);

%Mxima Diferencia. 
DM = MaximumDifference(origImg, distImg);
disp('Diferencia Maxima = ');
disp(DM);

%Error Absoluto Normalizado
EAN = NormalizedAbsoluteError(origImg, distImg);
disp('Error Absoluto Normalizado = ');
disp(EAN);
